| pasteseq

## Function

Insert one sequence into another

## Description

This simple editing program allows you to insert one sequence into another sequence after a specified position and to then write out the results to a sequence file.

## Usage

Here is a sample session with pasteseq

To insert the sequence 'tsw:flav_nossm' after position 67 in sequence 'tsw:amir_pseae' and write the results to the file 'amir_pseae.fasta':

    % pasteseq tsw:amir_pseae tsw:flav_nossm -pos=67
    Insert one sequence into another
    output sequence [amir_pseae.fasta]:

Go to the input files for this example
Go to the output files for this example

Example 2

This does the same thing, but the output qualifier is explicitly used:

    % pasteseq tsw:amir_pseae tsw:flav_nossm -out=amirplus.seq -pos=67
    Insert one sequence into another

Go to the output files for this example

Example 3

To insert the sequence 'tsw:flav_nossm' before the start of sequence 'tsw:amir_pseae' use -pos=0:

    % pasteseq tsw:amir_pseae tsw:flav_nossm -out=amirplus.seq -pos=0
    Insert one sequence into another

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-asequence]         sequence   (Gapped) sequence filename and optional
                                      format, or reference (input USA)
      [-bsequence]         sequence   Sequence to insert
       -pos                integer    [$(asequence.end)] The position in the main
                                      input sequence to insert after.
                                      To insert before the start use the position
                                      0. (Integer 0 or more)
      [-outseq]            seqout     [<sequence>.<format>] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-asequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-bsequence" associated qualifiers
       -sbegin2            integer    Start of the sequence to be used
       -send2              integer    End of the sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-outseq" associated qualifiers
       -osformat3          string     Output seq format
       -osextension3       string     File name extension
       -osname3            string     Base file name
       -osdirectory3       string     Output directory
       -osdbname3          string     Database name to add
       -ossingle3          boolean    Separate file for each entry
       -oufo3              string     UFO features
       -offormat3          string     Features format
       -ofname3            string     Features file name
       -ofdirectory3       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-asequence] (Parameter 1) | (Gapped) sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-bsequence] (Parameter 2) | Sequence to insert | Readable sequence | Required
-pos | The position in the main input sequence to insert after. To insert before the start use the position 0. | Integer 0 or more | $(asequence.end)
[-outseq] (Parameter 3) | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

pasteseq reads 2 normal sequence USAs.

### Input files for usage example

'tsw:amir_pseae' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:amir_pseae

    ID   AMIR_PSEAE              Reviewed;         196 AA.
    AC   P10932;
    DT   01-JUL-1989, integrated into UniProtKB/Swiss-Prot.
    DT   08-DEC-2000, sequence version 2.
    DT   20-MAR-2007, entry version 55.
    DE   Aliphatic amidase regulator.
    GN   Name=amiR; OrderedLocusNames=PA3363;
    OS   Pseudomonas aeruginosa.
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Pseudomonadales;
    OC   Pseudomonadaceae; Pseudomonas.
    OX   NCBI_TaxID=287;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RC   STRAIN=PAC433;
    RX   MEDLINE=89211409; PubMed=2495988; DOI=10.1016/0014-5793(89)80249-2;
    RA   Lowe N., Rice P.M., Drew R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene (amiR) of
    RT   Pseudomonas aeruginosa.";
    RL   FEBS Lett. 246:39-43(1989).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=ATCC 15692 / PAO1 / 1C / PRS 101 / LMG 12228;
    RX   MEDLINE=20437337; PubMed=10984043; DOI=10.1038/35023079;
    RA   Stover C.K., Pham X.-Q.T., Erwin A.L., Mizoguchi S.D., Warrener P.,
    RA   Hickey M.J., Brinkman F.S.L., Hufnagle W.O., Kowalik D.J., Lagrou M.,
    RA   Garber R.L., Goltry L., Tolentino E., Westbrock-Wadman S., Yuan Y.,
    RA   Brody L.L., Coulter S.N., Folger K.R., Kas A., Larbig K., Lim R.M.,
    RA   Smith K.A., Spencer D.H., Wong G.K.-S., Wu Z., Paulsen I.T.,
    RA   Reizer J., Saier M.H. Jr., Hancock R.E.W., Lory S., Olson M.V.;
    RT   "Complete genome sequence of Pseudomonas aeruginosa PAO1, an
    RT   opportunistic pathogen.";
    RL   Nature 406:959-964(2000).
    RN   [3]
    RP   CHARACTERIZATION.
    RX   MEDLINE=95286483; PubMed=7539417;
    RA   Wilson S.A., Drew R.E.;
    RT   "Transcriptional analysis of the amidase operon from Pseudomonas
    RT   aeruginosa.";
    RL   J. Bacteriol. 177:3052-3057(1995).
    RN   [4]
    RP   X-RAY CRYSTALLOGRAPHY (2.25 ANGSTROMS) OF COMPLEX WITH AMIC.
    RC   STRAIN=PAC1;
    RX   MEDLINE=99437995; PubMed=10508151; DOI=10.1093/emboj/18.19.5175;
    RA   O'Hara B.P., Norman R.A., Wan P.T., Roe S.M., Barrett T.E., Drew R.E.,
    RA   Pearl L.H.;
    RT   "Crystal structure and induction mechanism of AmiC-AmiR: a ligand-
    RT   regulated transcription antitermination complex.";
    RL   EMBO J. 18:5175-5186(1999).
    CC   -!- FUNCTION: Positive controlling element of amiE, the gene for
    CC       aliphatic amidase. Acts as a transcriptional antitermination

      [Part of this file has been deleted for brevity]

    CC   -!- SIMILARITY: Contains 1 ANTAR domain.
    CC   -----------------------------------------------------------------------
    CC   Copyrighted by the UniProt Consortium, see http://www.uniprot.org/terms
    CC   Distributed under the Creative Commons Attribution-NoDerivs License
    CC   -----------------------------------------------------------------------
    DR   EMBL; X13776; CAA32023.1; -; Genomic_DNA.
    DR   EMBL; AE004091; AAG06751.1; -; Genomic_DNA.
    DR   PIR; B83226; B83226.
    DR   PIR; S03884; S03884.
    DR   PDB; 1QO0; X-ray; D/E=1-196.
    DR   IntAct; P10932; -.
    DR   GenomeReviews; AE004091_GR; PA3363.
    DR   KEGG; pae:PA3363; -.
    DR   BioCyc; PAER287:PA3363-MONOMER; -.
    DR   InterPro; IPR005561; AmiR_NasR_reg.
    DR   InterPro; IPR011006; CheY_like.
    DR   InterPro; IPR008327; Res_reg_antiterm.
    DR   Pfam; PF03861; ANTAR; 1.
    DR   PIRSF; PIRSF036382; RR_antiterm; 1.
    DR   PROSITE; PS50921; ANTAR; 1.
    KW   3D-structure; Complete proteome; Transcription;
    KW   Transcription antitermination; Transcription regulation.
    FT   CHAIN         1    196       Aliphatic amidase regulator.
    FT                                /FTId=PRO_0000064582.
    FT   DOMAIN      129    190       ANTAR.
    FT   CONFLICT     48     48       S -> A (in Ref. 1).
    FT   CONFLICT     64     64       R -> G (in Ref. 1).
    FT   CONFLICT    141    141       E -> D (in Ref. 1).
    FT   CONFLICT    154    154       A -> V (in Ref. 1).
    FT   CONFLICT    170    170       Y -> H (in Ref. 1).
    FT   HELIX         3      8
    FT   HELIX         9     12
    FT   STRAND       14     19
    FT   HELIX        23     35
    FT   STRAND       38     42
    FT   STRAND       54     59
    FT   HELIX        65     75
    FT   STRAND       81     86
    FT   HELIX        91    100
    FT   STRAND      103    109
    FT   HELIX       112    114
    FT   HELIX       115    160
    FT   HELIX       164    175
    FT   TURN        176    179
    FT   HELIX       182    189
    SQ   SEQUENCE   196 AA;  21903 MW;  306A4F30E8E4C6C0 CRC64;
         MSANSLLGSL RELQVLVLNP PGEVSDALVL QLIRIGCSVR QCWPPPESFD VPVDVVFTSI
         FQNRHHDEIA ALLAAGTPRT TLVALVEYES PAVLSQIIEL ECHGVITQPL DAHRVLPVLV
         SARRISEEMA KLKQKTEQLQ ERIAGQARIN QAKALLMQRH GWDEREAHQY LSREAMKRRE
         PILKIAQELL GNEPSA
    //

### Database entry: tsw:flav_nossm

    ID   FLAV_NOSSM              Reviewed;          35 AA.
    AC   P35707;
    DT   01-JUN-1994, integrated into UniProtKB/Swiss-Prot.
    DT   01-JUN-1994, sequence version 1.
    DT   31-OCT-2006, entry version 30.
    DE   Flavodoxin (Fragment).
    OS   Nostoc sp. (strain MAC).
    OC   Bacteria; Cyanobacteria; Nostocales; Nostocaceae; Nostoc.
    OX   NCBI_TaxID=35822;
    RN   [1]
    RP   PROTEIN SEQUENCE.
    RA   Takruri I.A.H., Boulter D., Fitzgerald M.P., Hutber G.N., Rogers L.J.;
    RT   "N-terminal amino acid sequences of flavodoxins from Chondrus crispus
    RT   and Nostoc strain MAC.";
    RL   Phytochemistry 25:2113-2115(1986).
    CC   -!- FUNCTION: Low-potential electron donor to a number of redox
    CC       enzymes.
    CC   -!- COFACTOR: FMN.
    CC   -!- SIMILARITY: Belongs to the flavodoxin family.
    CC   -!- SIMILARITY: Contains 1 flavodoxin-like domain.
    CC   -----------------------------------------------------------------------
    CC   Copyrighted by the UniProt Consortium, see http://www.uniprot.org/terms
    CC   Distributed under the Creative Commons Attribution-NoDerivs License
    CC   -----------------------------------------------------------------------
    DR   HSSP; P11241; 1RCF.
    DR   InterPro; IPR001226; Flavodoxin.
    DR   InterPro; IPR008254; Flavodoxin_1.
    DR   Pfam; PF00258; Flavodoxin_1; 1.
    DR   PROSITE; PS00201; FLAVODOXIN; 1.
    DR   PROSITE; PS50902; FLAVODOXIN_LIKE; 1.
    KW   Direct protein sequencing; Electron transport; Flavoprotein; FMN;
    KW   Transport.
    FT   CHAIN         1    >35       Flavodoxin.
    FT                                /FTId=PRO_0000171640.
    FT   DOMAIN        4    >35       Flavodoxin-like.
    FT   NON_TER      35     35
    SQ   SEQUENCE   35 AA;  3820 MW;  B6EEB5CA7A45DDA6 CRC64;
         SKKIGLFYGT ZTGKTESVAE IIDEFGDEVV TLDID
    //

## Output file format

pasteseq writes a normal sequence file.

### Output files for usage example

### File: amir_pseae.fasta

    >AMIR_PSEAE Aliphatic amidase regulator.
    MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPESFDVPVDVVFTSI
    FQNRHHDSKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQERIAG
    QARINQAKALLMQRHGWDEREAHQYLSREAMKRREPILKIAQELLGNEPSA

### Output files for usage example 2

### File: amirplus.seq

    >AMIR_PSEAE Aliphatic amidase regulator.
    MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPESFDVPVDVVFTSI
    FQNRHHDSKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQERIAG
    QARINQAKALLMQRHGWDEREAHQYLSREAMKRREPILKIAQELLGNEPSA

### Output files for usage example 3

### File: amirplus.seq

    >AMIR_PSEAE Aliphatic amidase regulator.
    SKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDMSANSLLGSLRELQVLVLNPPGEVS
    DALVLQLIRIGCSVRQCWPPPESFDVPVDVVFTSIFQNRHHDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQERIAG
    QARINQAKALLMQRHGWDEREAHQYLSREAMKRREPILKIAQELLGNEPSA

## Data files

None.

## Notes

This can be used as a simple sequence editor.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
codcopy | Reads and writes a codon usage table
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Creates random nucleotide sequences
makeprotseq | Creates random protein sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None